{
    "doc": "A genomic feature",
    "fields": [
        {
            "doc": "The type of the genomic entity",
            "name": "type",
            "type": {
                "doc": "Types of genomic features:\n\n* `regulatory_region`: a regulatory region\n* `gene`: a gene\n* `transcript`: a transcript\n* `intergenic`: an intergenic region",
                "name": "GenomicEntityType",
                "symbols": [
                    "regulatory_region",
                    "gene",
                    "transcript",
                    "intergenic",
                    "gene_fusion",
                    "genomic_region",
                    "cytobands"
                ],
                "type": "enum"
            }
        },
        {
            "doc": "Ensembl identifier for the feature (e.g, ENST00000544455)",
            "name": "ensemblId",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "The HGNC gene symbol. This field is optional, BUT it should be filled if possible",
            "name": "geneSymbol",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "Others identifiers for this genomic feature",
            "name": "otherIds",
            "type": [
                "null",
                {
                    "items": {
                        "fields": [
                            {
                                "doc": "Source i.e, esenmbl",
                                "name": "source",
                                "type": "string"
                            },
                            {
                                "doc": "identifier",
                                "name": "identifier",
                                "type": "string"
                            }
                        ],
                        "name": "Identifier",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        }
    ],
    "name": "GenomicEntity",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}